import { forwardRef } from '@wordpress/element';

const DynamicTag = forwardRef(function DynamicTag({ tagName: Tag = 'div', children, ...props }, ref) {
	return <Tag ref={ref} {...props}>
		{children}
	</Tag>;
});

export default DynamicTag;